File indexing completed on 2022-09-27 15:18:56

0001 #!/bin/bash
0002 #
0003 # Copyright (C) 2016 Scarlett Clark <sgclark@kde.org>
0004 #
0005 # This library is free software; you can redistribute it and/or
0006 # modify it under the terms of the GNU Lesser General Public
0007 # License as published by the Free Software Foundation; either
0008 # version 2.1 of the License, or (at your option) version 3, or any
0009 # later version accepted by the membership of KDE e.V. (or its
0010 # successor approved by the membership of KDE e.V.), which shall
0011 # act as a proxy defined in Section 6 of version 3 of the license.
0012 #
0013 # This library is distributed in the hope that it will be useful,
0014 # but WITHOUT ANY WARRANTY; without even the implied warranty of
0015 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
0016 # Lesser General Public License fo-r more details.
0017 #
0018 # You should have received a copy of the GNU Lesser General Public
0019 # License along with this library.  If not, see <http://www.gnu.org/licenses/>.
0020 set -e
0021 set -x
0022 export PATH=/opt/usr/bin:/root/.rbenv/bin:/root/.rbenv/shims:$PATH
0023 export CPATH=/opt/usr/include/gstreamer-1.0:/opt/usr/include:/opt/usr/include/python3.5:/usr/include
0024 ln -s /usr/bin/clang++-3.8 /usr/bin/clang++
0025 ln -s /usr/bin/clang-3.8 /usr/bin/clang
0026 rm /usr/bin/python && ln -s /opt/usr/bin/python3 /usr/bin/python
0027 # move me to jenkisnfile
0028 rm -rfv /app.Dir/*
0029 
0030 cd ~
0031 
0032 rbenv local 2.3.1
0033 bundle install
0034 
0035 wget https://github.com/probonopd/linuxdeployqt/releases/download/1/linuxdeployqt-1-x86_64.AppImage
0036 chmod a+x linuxdeployqt-1-x86_64.AppImage
0037 
0038 function error_exit
0039 {
0040         echo "$1" 1>&2
0041         exit 1
0042 }
0043 
0044 if rspec /in/tooling/aci/spec/setup_project_rspec.rb --fail-fast; then
0045         echo "Setup Complete"
0046 else
0047         error_exit "$LINENO: An error has occurred.. Aborting."
0048 fi
0049 
0050 if rspec /in/tooling/aci/spec/dependencies_rspec.rb --fail-fast; then
0051         echo "Dependencies Complete"
0052 else
0053         error_exit "$LINENO: An error has occurred.. Aborting."
0054 fi
0055 
0056 if rspec /in/tooling/aci/spec/project_rspec.rb --fail-fast; then
0057         echo "Project Complete"
0058 else
0059         error_exit "$LINENO: An error has occurred.. Aborting."
0060 fi
0061 
0062 if rspec /in/tooling/aci/spec/recipe_rspec.rb --fail-fast; then
0063         echo "Recipe Complete"
0064 else
0065         error_exit "$LINENO: An error has occurred.. Aborting."
0066 fi
0067 
0068 if rspec /in/tooling/aci/spec/create_appimage_rspec.rb --fail-fast; then
0069         echo "Appimage Complete"
0070 else
0071         error_exit "$LINENO: An error has occurred.. Aborting."
0072 fi
0073 
0074 
0075 rm -rfv /source/*